package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_discount_pk_stock_code
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsDiscountPkStockCode implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠包库存批次id
     */
    private Long discountPkStockBatchId;

    /**
     * 优惠包库存批次编号
     */
    private String discountPkStockBatchNo;

    /**
     * 优惠包id
     */
    private Long discountPkId;

    /**
     * 优惠包编号
     */
    private String discountPkNo;

    /**
     * 优惠包名称
     */
    private String discountPkName;

    /**
     * 获得方式    1：加油    2：商城    3: 赠送   4：API
     */
    private Integer obtainType;

    /**
     * 获得时间
     */
    private Date obtainTime;

    /**
     * 领取用户id
     */
    private Long receiveMerUserId;

    /**
     * 领取用户手机号
     */
    private String receiveMerUserPhone;

    /**
     * 状态  1：未领取    2：已领取
     */
    private Integer status;

    /**
     * 代理商接入appid
     */
    private String agentAppid;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiscountPkStockBatchId() {
        return discountPkStockBatchId;
    }

    public void setDiscountPkStockBatchId(Long discountPkStockBatchId) {
        this.discountPkStockBatchId = discountPkStockBatchId;
    }

    public String getDiscountPkStockBatchNo() {
        return discountPkStockBatchNo;
    }

    public void setDiscountPkStockBatchNo(String discountPkStockBatchNo) {
        this.discountPkStockBatchNo = discountPkStockBatchNo;
    }

    public Long getDiscountPkId() {
        return discountPkId;
    }

    public void setDiscountPkId(Long discountPkId) {
        this.discountPkId = discountPkId;
    }

    public String getDiscountPkNo() {
        return discountPkNo;
    }

    public void setDiscountPkNo(String discountPkNo) {
        this.discountPkNo = discountPkNo;
    }

    public String getDiscountPkName() {
        return discountPkName;
    }

    public void setDiscountPkName(String discountPkName) {
        this.discountPkName = discountPkName;
    }

    public Integer getObtainType() {
        return obtainType;
    }

    public void setObtainType(Integer obtainType) {
        this.obtainType = obtainType;
    }

    public Date getObtainTime() {
        return obtainTime;
    }

    public void setObtainTime(Date obtainTime) {
        this.obtainTime = obtainTime;
    }

    public Long getReceiveMerUserId() {
        return receiveMerUserId;
    }

    public void setReceiveMerUserId(Long receiveMerUserId) {
        this.receiveMerUserId = receiveMerUserId;
    }

    public String getReceiveMerUserPhone() {
        return receiveMerUserPhone;
    }

    public void setReceiveMerUserPhone(String receiveMerUserPhone) {
        this.receiveMerUserPhone = receiveMerUserPhone;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getAgentAppid() {
        return agentAppid;
    }

    public void setAgentAppid(String agentAppid) {
        this.agentAppid = agentAppid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsDiscountPkStockCode other = (BsDiscountPkStockCode) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountPkStockBatchId() == null ? other.getDiscountPkStockBatchId() == null : this.getDiscountPkStockBatchId().equals(other.getDiscountPkStockBatchId()))
            && (this.getDiscountPkStockBatchNo() == null ? other.getDiscountPkStockBatchNo() == null : this.getDiscountPkStockBatchNo().equals(other.getDiscountPkStockBatchNo()))
            && (this.getDiscountPkId() == null ? other.getDiscountPkId() == null : this.getDiscountPkId().equals(other.getDiscountPkId()))
            && (this.getDiscountPkNo() == null ? other.getDiscountPkNo() == null : this.getDiscountPkNo().equals(other.getDiscountPkNo()))
            && (this.getDiscountPkName() == null ? other.getDiscountPkName() == null : this.getDiscountPkName().equals(other.getDiscountPkName()))
            && (this.getObtainType() == null ? other.getObtainType() == null : this.getObtainType().equals(other.getObtainType()))
            && (this.getObtainTime() == null ? other.getObtainTime() == null : this.getObtainTime().equals(other.getObtainTime()))
            && (this.getReceiveMerUserId() == null ? other.getReceiveMerUserId() == null : this.getReceiveMerUserId().equals(other.getReceiveMerUserId()))
            && (this.getReceiveMerUserPhone() == null ? other.getReceiveMerUserPhone() == null : this.getReceiveMerUserPhone().equals(other.getReceiveMerUserPhone()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getAgentAppid() == null ? other.getAgentAppid() == null : this.getAgentAppid().equals(other.getAgentAppid()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountPkStockBatchId() == null) ? 0 : getDiscountPkStockBatchId().hashCode());
        result = prime * result + ((getDiscountPkStockBatchNo() == null) ? 0 : getDiscountPkStockBatchNo().hashCode());
        result = prime * result + ((getDiscountPkId() == null) ? 0 : getDiscountPkId().hashCode());
        result = prime * result + ((getDiscountPkNo() == null) ? 0 : getDiscountPkNo().hashCode());
        result = prime * result + ((getDiscountPkName() == null) ? 0 : getDiscountPkName().hashCode());
        result = prime * result + ((getObtainType() == null) ? 0 : getObtainType().hashCode());
        result = prime * result + ((getObtainTime() == null) ? 0 : getObtainTime().hashCode());
        result = prime * result + ((getReceiveMerUserId() == null) ? 0 : getReceiveMerUserId().hashCode());
        result = prime * result + ((getReceiveMerUserPhone() == null) ? 0 : getReceiveMerUserPhone().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getAgentAppid() == null) ? 0 : getAgentAppid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountPkStockBatchId=").append(discountPkStockBatchId);
        sb.append(", discountPkStockBatchNo=").append(discountPkStockBatchNo);
        sb.append(", discountPkId=").append(discountPkId);
        sb.append(", discountPkNo=").append(discountPkNo);
        sb.append(", discountPkName=").append(discountPkName);
        sb.append(", obtainType=").append(obtainType);
        sb.append(", obtainTime=").append(obtainTime);
        sb.append(", receiveMerUserId=").append(receiveMerUserId);
        sb.append(", receiveMerUserPhone=").append(receiveMerUserPhone);
        sb.append(", status=").append(status);
        sb.append(", agentAppid=").append(agentAppid);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}